function FourthAssistant() {
	/* this is the creator function for your scene assistant object. It will be passed all the 
	   additional parameters (after the scene name) that were passed to pushScene. The reference
	   to the scene controller (this.controller) has not be established yet, so any initialization
	*/
	
	
	
	this.obj     = null;
	this.nombre  = 0;
	this.score   = 0 ;
	this.vitesse = 0;
	this.delay   = 0;
	this.lapse   = 1000 ;
	this.temps   = 0 ;
	// tableau des couleur par ordre aphalbétqiue : B0 G1 J2 R3 V4
	this.tableau = [ 0, 0, 0, 0, 0];
	// tableau des limites
	this.limite = [ 28, 64, 82];
	// tableau des divideurs
	this.diviseur = [ 3, 7, 9];
	this.dateFin = 3000;
	this.dateCompteur = 60000;
	this.repImg = 1;
	this.windowState = true ; //maximized
	this.musique = Musique;
	this.fond = Fond;
	if (this.musique==1) {
		Music.setupMusic(Mojo.appPath+"son/boucle.mp3", false);
	}
	
	
}

FourthAssistant.prototype.setup = function() {
	// pixi mode
	if (tailleH < 480 ) {
		this.controller.get("id4").style.display="none";
	}
	
	this.niveau = Niveau;
	
	// doublement de la vitesse si niveau 3
	this.vitesse =(this.niveau < 3 ? 1 : 2);
	// initialisation du répertoire des images par niveau
	this.rep = this.niveau;
	//Définition du lapse de temps entre chaque rafraichissement 
	this.lapse = (this.niveau < 3 ? this.lapse/0.75 : this.lapse);
	
	// afichage de l'image de fond initiale
	this.controller.get("piste").style.backgroundImage="url(images/fond"+mobile+"16.jpg)";
	
	Mojo.Event.listen( this.controller.stageController.document, Mojo.Event.stageActivate, this.activate.bind(this) );

	Mojo.Event.listen( this.controller.stageController.document, Mojo.Event.stageDeactivate, this.deactivate.bind(this) );
	
	// initialisation des ecouteur d'événement 
	this.controller.listen("dalle1", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	this.controller.listen("dalle2", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	this.controller.listen("dalle3", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	this.controller.listen("dalle4", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	this.controller.listen("dalle5", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	this.controller.listen("dalle6", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	
	
	if (tailleH == 480 ) {
		
		this.controller.listen("dalle8", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		this.controller.listen("dalle7", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
	}
	this.controller.listen("pisteOFF", Mojo.Event.tap, this.activate.bindAsEventListener(this));
	// lancement première séquence
	
	if (this.musique==1) {
		this.resumeMusic();
	}
	// musique
	//Mojo.Log.info("jouer");
	this.Horloge();
	//setInterval(function() { this.Horloge(); }, 1000);
	this.Defile();
	
		
};
// Memorisation du score
FourthAssistant.prototype.memScore  = function (lettre) {
	if (lettre == "B") {
		this.tableau[0]++;
	} else if (lettre == "G") {
		this.tableau[1]++;
	} else if (lettre == "J") {
		this.tableau[2]++;
	} else if (lettre == "R") {
		this.tableau[3]++;
	} else if (lettre == "V") {
		this.tableau[4]++;
	} 	
};
// modification des tailles et positions des dalles en fonction du niveau
FourthAssistant.prototype.cssChange = function () {
	// pixi mode
	nbrDalleMax=(tailleH < 480 ? 7 : 9);
	for (var i=1 ; i<nbrDalleMax; i++) {
		var dalleN = "dalle"+i;
		var dX = (i%2==0 ? 35 : -30);
		var tailleXY = (this.rep==2 ? "80px" : "70px");
		this.controller.get(dalleN).style.width= tailleXY;
		this.controller.get(dalleN).style.height= tailleXY;
				
		var xAlea = Math.floor(Math.random()*60)+dX;
		this.controller.get(dalleN).style.left=xAlea+"px";
		
		if (this.niveau>2) {
			this.controller.get("compteur").style.height = "32px";
			var yAlea =  Math.floor(Math.random()*32) -16;
			this.controller.get(dalleN).style.top=yAlea+"px";
		} 
		
	}
};
// déclenchement d'action suite à tap sur une dalle
FourthAssistant.prototype.handleClick = function () {
	// récupération de la dalle tapée, chiffre, et de sa couleur, lettre
	var tapped = event.target.id;
	var sty = this.controller.get(tapped).style.backgroundImage;
	var reg = new  RegExp("dalle([GRVBJ12]{2})","gi");
	var caract = reg.exec(sty);
	var lettre = caract[1][0];
	var chiffre = caract[1][1];
	if (chiffre == 1 ) {
		// enregistrement du point  fait
		this.memScore(lettre);
		// modification de l'image de fond la dalle tapée
		this.controller.get(tapped).style.backgroundImage="url(images/"+this.rep+"/dalle"+lettre+"2.jpg)";
	}
	
};

// compteur

FourthAssistant.prototype.Horloge = function () {
	var calqu = this;
	this.controller.get("compteur").update(" "+Math.ceil(calqu.dateCompteur/1000));
	
	setTimeout(function() { calqu.Horloge(); }, 1000);
	if (calqu.windowState) {
			calqu.dateCompteur = calqu.dateCompteur-1000;
			}
}
// moteur d'affichage d'une image de fond dans les dalles
FourthAssistant.prototype.Defile = function () {
	var calq = this;
	// fonction de pop d'un element dans un tableau quelque soit son index
	function Recompile(tablo, ind) {
		var tableTemp = new Array();
		for (c=0 ; c<tablo.length ; c++) {
			if (c != ind) {
				tableTemp.push(tablo[c]);
			}
		}
		return tableTemp;
	}
	// modification du fond de la piste
	
	if (this.windowState) {
		var nbr = Math.ceil(Math.random()*20);
		if (this.fond == 1) {
			this.controller.get("piste").style.backgroundImage="url(images/fond"+nbr+mobile+".jpg)";
		}
		// modification du style (Xpos et Ypos) des dalles si niveau 2 ou 3
		if (this.rep > 1) {
			this.cssChange();
		} 
		// intialisation d'un tableau de pourcentage de couleurs
		/*
			Jaune 4
			Bleu  3
			Rouge 2
			Vert 	1
		*/
		var dalle = new Array("V", "B", "R", "J", "B" , "B", "J", "R", "J", "J");
		// tableau des id des dalles pour traitement affichage 4 dalle colorées max.
		if (tailleH < 480 ) {
		
			var tabDalle = new Array("dalle1","dalle2","dalle3","dalle4","dalle5","dalle6");
		
		} else {
			var tabDalle = new Array("dalle1","dalle2","dalle3","dalle4","dalle5","dalle6","dalle7","dalle8");
		}
		
		// initialisation des dalles à gris par défaut
		for (var i=0 ; i<tabDalle.length; i++) {
			this.controller.get(tabDalle[i]).style.backgroundImage="url(images/"+this.rep+"/dalleG1.jpg)";
		}
		// traitement d'affichage de 4 dalles max
		for (var i=1 ; i<5; i++) {
			var lgrDalle = tabDalle.length;
			var rndDalle =Math.floor(Math.random()*lgrDalle);
			var rndDalle1 = rndDalle;
			rndDalle == lgrDalle ? rndDalle=(lgrDalle-1) : '';
			var dalleN = tabDalle[rndDalle];
			tabDalle = Recompile(tabDalle, rndDalle);
			var alea = Math.floor(Math.random()*100);
			// mise en place d'un seuil variable en fonction du niveau 
			if (alea <this.limite[this.vitesse] ) {
				var numD = Math.ceil(alea/this.diviseur[this.vitesse]);
				var lettre = dalle[numD];
				// affichage de la dalle colorée
				this.controller.get(dalleN).style.backgroundImage="url(images/"+this.rep+"/dalle"+lettre+"1.jpg)";
			}			
		}
	}
	// timer pour durée d'une minute max et affichage de ce timer
	
	
	if (calq.dateCompteur>0) {
		/*if (calq.windowState) {
			calq.dateCompteur = calq.dateCompteur-calq.lapse;
			}*/
		////Mojo.Log.info("reste compteur : ",calq.dateCompteur);
		setTimeout(function() { calq.Defile(); }, calq.lapse);
	} else {
		// on arrête d'enregistrer les tap
		this.controller.stopListening("dalle1", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		this.controller.stopListening("dalle2", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		this.controller.stopListening("dalle3", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		this.controller.stopListening("dalle4", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		
		this.controller.stopListening("dalle5", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		this.controller.stopListening("dalle6", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		
		// pixi mode
		if (tailleH == 480 ) {
			this.controller.stopListening("dalle7", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
			this.controller.stopListening("dalle8", Mojo.Event.tap, this.handleClick.bindAsEventListener(this));
		}
		this.controller.stopListening("pisteOFF", Mojo.Event.tap, this.activate.bindAsEventListener(this));
		// on attente un peu
		calq.attente();
		
		
		
		// enregistrement des données en cookie
		
			
		Bleu  = this.tableau[0];
		Gris  = this.tableau[1];
		Jaune = this.tableau[2];
		Rouge = this.tableau[3];
		Vert  = this.tableau[4];
		//this.controller.get("compteur").update(ddd_Bleu+":"+ddd_Gris+":"+ddd_Jaune+":"+ddd_Rouge+":"+ddd_Vert);
		flip("fifth", this);
	}
	
};

FourthAssistant.prototype.attente = function(event) {
	// j'attend
	var calq = this;
	if (this.dateFin>0) {
		this.dateFin = this.dateFin-1000;
		setTimeout(function() { calq.attente(); }, 1000);
	}
	
};

FourthAssistant.prototype.handleCommand = function(event) {
	//Mojo.Log.info('handleCommandeur');
	
	if(event.type == Mojo.Event.back ) {
		//Mojo.Log.info('désactivation');
		this.deactivate();
	}
	
	
};


FourthAssistant.prototype.activate = function(event) {
	/* put in event handlers here that should only be in effect when this scene is active. For
	   example, key handlers that are observing the document */
	
	this.controller.get('pisteOFF').style.display="none";
	this.controller.get('piste').style.display="block";
	this.windowState = true ; //maximized
	if (this.musique==1) {
		this.resumeMusic();
	}
	//Mojo.Log.info("activate.type");
	
	
	
};


FourthAssistant.prototype.pauseMusic = function(event) {
    Music.pauseMusic();
};
 
FourthAssistant.prototype.resumeMusic = function(event) {
    Music.playMusic();
};


FourthAssistant.prototype.deactivate = function(event) {
	/* remove any event handlers you added in activate and do any other cleanup that should happen before
	   this scene is popped or another scene is pushed on top */
	if (this.musique==1) {
		this.pauseMusic();
	}
	this.controller.get('pisteOFF').style.display="block";
	this.controller.get('piste').style.display="none";
	this.windowState = false ; //minimized
	//Mojo.Log.info("deactivate.type");
	
};

FourthAssistant.prototype.cleanup = function(event) {
	/* this function should do any cleanup needed before the scene is destroyed as 
	   a result of being popped off the scene stack */
	
	
};

FourthAssistant.prototype.activateStage = function() {
    //Mojo.Log.info("Dashboard stage Activation");
   
};
FourthAssistant.prototype.deactivateStage = function() {
    //Mojo.Log.info("Dashboard stage Deactivation");
   
};

