function HighscoreAssistant() {
	/* this is the creator function for your stage assistant object */
	
	this.flap = function () {
		var sController = this.controller.stageController;
		sController.popScene();
		sController.pushScene({name: "online", transition: Mojo.Transition.crossFade, 
		disableSceneScroller: true});
	};
	this.highscoreTab = [];
		
}

HighscoreAssistant.prototype.setup = function() {
	/* this function is for setup tasks that have to happen when the stage is first created */
	
	/* for a simple application, the stage assistant's only task is to push the scene, making it
	   visible */
	
	
	
	// bouton d'envoi des scores
	this.controller.setupWidget("btnOnline",
		this.attributes = {},
		this.model = {
		    label : "Digit-Scores World",
		    disabled: false
		    }
	);
	
	
	// dfinition du cookie - cration ou rcupration des donnes
	
	this.cookieGet();
	
	
	
	
	// construction du tableau des highscores
	this.tableau = document.createElement("table");
	this.tableau.setAttribute("id","TabRes");
	this.tableau.setAttribute("border","0");
	this.tableau.setAttribute("cellpadding","0");
	this.tableau.setAttribute("cellspacing","0");
	this.tableau.setAttribute("style","margin-top : 5px;");
	this.tableau.setAttribute("width","100%");
	
	for (var i=0 ; i<this.highscoreTab.length; i++ ) {
	
		this.ligne = document.createElement("tr");
	
		for(j=0; j<this.highscoreTab[i].length ; j++) {
			this.cellule = document.createElement("td");
			this.classNom = "col_"+j;
			this.cellule.setAttribute("class",this.classNom);
			this.txt = document.createTextNode(this.highscoreTab[i][j]);
			this.cellule.appendChild(this.txt);
			this.ligne.appendChild(this.cellule);
			
		}
		this.tableau.appendChild(this.ligne);
	
						       
		if ( i < 1) {
			this.ligneSep = document.createElement("tr");
			this.celluleSep = document.createElement("td");
			this.celluleSep.setAttribute("colspan","7");
			this.celluleSep.setAttribute("id","ligneSep1");
			this.txtCellSep = document.createTextNode(" ");
			this.celluleSep.appendChild(this.txtCellSep);
			this.ligneSep.appendChild(this.celluleSep);
			this.tableau.appendChild(this.ligneSep);
		}
	}
	
	this.controller.get("palmares").update(this.tableau);
	this.controller.get("ligneSep1").update("<hr>");
	
					     						   
	
	this.controller.listen("btnOnline", Mojo.Event.tap, this.flap.bindAsEventListener(this));
	
	
	
	
};


HighscoreAssistant.prototype.handleCommand = function(event) {
	if(event.type == Mojo.Event.back) {
		event.stop();
		event.stopPropagation();
		flip("first", this);
	}
};

HighscoreAssistant.prototype.cookieGet = function () {
		
	
	this.highscoreTab = [
		["Niveau", ":", "Digit-points", "Date"],
		["FACILE", ":", HighScore_pt1, HighScore_date1],
		["HABILE", ":", HighScore_pt2, HighScore_date2],
		["AGILE", ":", HighScore_pt3, HighScore_date3]
	];
	
	highscoreTableau = this.highscoreTab;
};



HighscoreAssistant.prototype.handleResponse = function () {
    //this.controller.get("app-version").update(Connectionmanager);
	this.controller.get("btnOnline").style.display="none";
};
HighscoreAssistant.prototype.handleFailure = function () {
    
   // this.controller.get("app-version").update("ko");
};
