/*
	flip function definition
*/
function flip(toPage, scene) {
	var sController = scene.controller.stageController;
	sController.popScene();
	sController.pushScene({name: toPage, transition: Mojo.Transition.crossFade, disableSceneScroller: true});
   
}
/*
	cookie definition
*/
var cookie 		= new Mojo.Model.Cookie("DigitDanseData");

var First		= 1;
var Niveau 		= 0;
var Version 		= Mojo.appInfo.version;
var HighScore_pt1 	= 0; 
var HighScore_niv1 	= 1;
var HighScore_date1	= "00/00/00";
var HighScore_pt2 	= 0; 
var HighScore_niv2 	= 2;
var HighScore_date2 	= "00/00/00";
var HighScore_pt3 	= 0; 
var HighScore_niv3 	= 3;
var HighScore_date3 	= "00/00/00";
var Niveau 		= 0;
var Bleu  		= 0;
var Gris  		= 0;
var Jaune 		= 0;
var Rouge 		= 0;
var Vert  		= 0;
var Musique 		= 1;
var Fond		= 1;
var Pseudo		= 'Digit-danseur';

function putCookie () {
	cookie.put({
		ddd_First		: First,
		ddd_Version 		: Version,
		ddd_Niveau  		: Niveau,
		ddd_HighScore_pt1 	: HighScore_pt1, 
		ddd_HighScore_niv1 	: HighScore_niv1,
		ddd_HighScore_date1 	: HighScore_date1,
		ddd_HighScore_pt2 	: HighScore_pt2, 
		ddd_HighScore_niv2 	: HighScore_niv2,
		ddd_HighScore_date2 	: HighScore_date2,
		ddd_HighScore_pt3 	: HighScore_pt3,  
		ddd_HighScore_niv3 	: HighScore_niv3,
		ddd_HighScore_date3 	: HighScore_date3,
		ddd_Bleu  		: Bleu,
		ddd_Gris  		: Gris,
		ddd_Jaune 		: Jaune,
		ddd_Rouge 		: Rouge,
		ddd_Vert  		: Vert,
		ddd_Musique 		: Musique,
		ddd_Fond 		: Fond,
		ddd_Pseudo 		: Pseudo
	});
	
}

function retrieveCookie() {
	var cookie_data = cookie.get();
	if (cookie_data) {
		First		= cookie_data.ddd_First;
		Version 	= cookie_data.ddd_Version;
		HighScore_pt1 	= cookie_data.ddd_HighScore_pt1; 
		HighScore_niv1 	= cookie_data.ddd_HighScore_niv1;
		HighScore_date1	= cookie_data.ddd_HighScore_date1;
		HighScore_pt2 	= cookie_data.ddd_HighScore_pt2; 
		HighScore_niv2 	= cookie_data.ddd_HighScore_niv2;
		HighScore_date2 = cookie_data.ddd_HighScore_date2;
		HighScore_pt3 	= cookie_data.ddd_HighScore_pt3; 
		HighScore_niv3 	= cookie_data.ddd_HighScore_niv3;
		HighScore_date3 = cookie_data.ddd_HighScore_date3;
		Bleu  		= cookie_data.ddd_Bleu;
		Gris  		= cookie_data.ddd_Gris;
		Jaune 		= cookie_data.ddd_Jaune;
		Rouge 		= cookie_data.ddd_Rouge;
		Vert  		= cookie_data.ddd_Vert;
		Musique		= cookie_data.ddd_Musique;
		Fond		= cookie_data.ddd_Fond;
		Pseudo		= cookie_data.ddd_Pseudo;
		return true;
	} else {
		putCookie();
		return true;
	}
	
}

function StageAssistant() {
	/* this is the creator function for your stage assistant object */
	
}

StageAssistant.prototype.setup = function() {
	
	tailleH = Mojo.Environment.DeviceInfo.screenHeight;
	//Nom = Mojo.Environment.DeviceInfo.carrierName;
	if (tailleH < 480 ) {
		mobile = "_pixi";
	} else {
		mobile = "";
	}
	retrieveCookie();
	
	if (First > 0 ) {
		this.controller.pushScene("accueil");		
	} else {
		this.controller.pushScene("first");			
	}
	
	
};
