// Copyright (c) 2009 Roy Sutton - You may use this class with your applications
// Background music class for webOS
var Music = {
    source: undefined,
 
    setupMusic: function(src, repeat)
    {
        this.source = src;
        audioObj = new Audio();
        audioObj.addEventListener(Media.Event.X_PALM_CONNECT, this.audioIsReady.bind(this));
        audioObj.addEventListener(Media.Event.X_PALM_DISCONNECT, this.audioIsGone);
        if(repeat === true)
        {
            audioObj.addEventListener(Media.Event.ENDED, this.audioRepeat);
        }
    },
 
    playMusic: function()
    {
        if(audioObj.src === this.source)
        {
            audioObj.play();
            //Mojo.Log.info("play");
        }
        else
        {
            audioObj.src = this.source;
            //Mojo.Log.info("chargement");
        }
 
    },
 
    pauseMusic: function()
    {
        audioObj.pause();
        //Mojo.Log.info("pause");
    },
    
    audioIsReady: function(event)
    {
        if(Prefs.music)
        {
            event.target.src = this.source;
        }
    },
 
    audioIsGone: function(event)
    {
        event.target.pause();
    },
 
    audioRepeat: function(event)
    {
        event.target.play();
    }
};